Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Public Member Functions | Properties
tlp::TulipTableWidget Class Reference
Tulip_Widgets

`#include <TulipTableWidget.h>`

Inheritance diagram for tlp::TulipTableWidget:
[legend]

List of all members.

## Public Slots

- void setBackColor1 (const QColor &)
- void resetBackColor1 ()
- void setBackColor2 (const QColor &)
- void resetBackColor2 ()
- void setUpdateColumnTitle (const bool)

## Public Member Functions

- TulipTableWidget (QWidget *, const char *)
- ~TulipTableWidget ()
- void setTulipNodeItem (const PropertyInterface *, const std::string propertyName, const node &, const int row, const int col)
- QString getTulipNodeValue (const int row, const int col) const
- void setTulipEdgeItem (const PropertyInterface *, const std::string propertyName, const edge &, const int row, const int col)
- QString getTulipEdgeValue (const int row, const int col) const
- QColor getBackColor1 () const
- QColor getBackColor2 () const
- bool getUpdateColumnTitle () const
- QColor backgroundColor (const int row) const

## Properties

- QColor backColor1
- QColor backColor2
- bool updateColumnTitle

Tulip Software by LaBRI Visualization Team 2001 - 2012